Passer au contenu principal
POST
/
uploads
Create an upload target
curl --request POST \
  --url https://api.youka.io/api/v1/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "contentType": "<string>",
  "contentLength": 123
}
'
{
  "inputFileId": "<string>",
  "uploadUrl": "<string>",
  "contentType": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

Idempotency-Key
string

Corps

application/json
filename
string
requis
Minimum string length: 1
contentType
string
requis
Minimum string length: 1
contentLength
number
requis
Plage requise: x <= 314572800

Réponse

200 - application/json

Upload target created

inputFileId
string
requis
uploadUrl
string<uri>
requis
contentType
string
requis